Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

Get the current system time

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/system-time' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The system time

Bodyapplication/json
yearinteger(int32)
monthinteger(int32)
dayinteger(int32)
dayOfWeekstring or null
hoursinteger(int32)
minutesinteger(int32)
secondsinteger(int32)
timeZoneobject(MlPrepSystemTimeZone)
Response
application/json
{ "year": 0, "month": 0, "day": 0, "dayOfWeek": "string", "hours": 0, "minutes": 0, "seconds": 0, "timeZone": { "utcOffsetHours": 0, "utcOffsetMinutes": 0, "displayName": "string", "id": "string", "supportsDst": true } }

Update the system time

Request

Security
Bearer
Query
idinteger(int32)
Bodyapplication/json
yearinteger(int32)

The year in yyyy format

monthinteger(int32)

The month

dayinteger(int32)

The day

hoursinteger(int32)

24 hour time 0-23

minutesinteger(int32)

Minutes 0-59

secondsinteger(int32)

Seconds 0-59

timeZoneIdstring or null

The id of the time zone

curl -i -X PUT \
  'http://{{your_prep_ip_address}}/api/v1/system-time?id=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "year": 2020,
    "month": 10,
    "day": 22,
    "hours": 14,
    "minutes": 31,
    "seconds": 7,
    "timeZoneId": "UTC-11"
  }'

Responses

The system time was updated

Get the time zones

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/system-time/time-zones' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The time zones

Bodyapplication/jsonArray [
utcOffsetHoursinteger(int32)

The UTC offset hours

utcOffsetMinutesinteger(int32)

The UTC Offset minutes

displayNamestring or null

The display name

idstring or null

The id of the time zone

supportsDstboolean

If the timezone uses daylight savings time

]
Response
application/json
[ { "utcOffsetHours": -12, "utcOffsetMinutes": 0, "displayName": "(UTC-12:00) International Date Line West", "id": "Dateline Standard Time", "supportsDst": false }, { "utcOffsetHours": -11, "utcOffsetMinutes": 0, "displayName": "(UTC-11:00) Coordinated Universal Time-11", "id": "UTC-11", "supportsDst": false }, { "utcOffsetHours": -10, "utcOffsetMinutes": 0, "displayName": "(UTC-10:00) Aleutian Islands", "id": "Aleutian Standard Time", "supportsDst": false } ]

Get minimum allowable the system time

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/system-time/min-system-time' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The minimum allowable time

Bodyapplication/json
yearinteger(int32)

The year in yyyy format

monthinteger(int32)

The month

dayinteger(int32)

The day

dayOfWeekstring or null

The day of the week

hoursinteger(int32)

24 hour time 0-23

minutesinteger(int32)

Minutes 0-59

secondsinteger(int32)

Seconds 0-59

Response
application/json
{ "year": 2020, "month": 10, "day": 22, "dayOfWeek": "Thursday", "hours": 14, "minutes": 31, "seconds": 7 }

Get maximum allowable the system time

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/system-time/max-system-time' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The maximum allowable time

Bodyapplication/json
yearinteger(int32)

The year in yyyy format

monthinteger(int32)

The month

dayinteger(int32)

The day

dayOfWeekstring or null

The day of the week

hoursinteger(int32)

24 hour time 0-23

minutesinteger(int32)

Minutes 0-59

secondsinteger(int32)

Seconds 0-59

Response
application/json
{ "year": 2020, "month": 10, "day": 22, "dayOfWeek": "Thursday", "hours": 14, "minutes": 31, "seconds": 7 }

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations